Ir al contenido

Crear un nuevo contacto

POST
/contacts
curl --request POST \
--url https://api.matiasimpulso.com/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "number": "example", "email": "hello@example.com", "profilePicUrl": "example", "isGroup": false, "disableBot": false, "active": true, "channel": "whatsapp", "remoteJid": "example", "lgpdAcceptedAt": "example", "urlPicture": "https://example.com", "pictureUpdated": false, "companyId": 1, "extraInfo": [ { "id": 1, "name": "example", "value": "example", "contactId": 1 } ], "tags": [ 1 ], "walletIds": [ 1 ] }'

Registra un contacto individual dentro del directorio de la empresa autenticada.

Media type application/json
object
name
required
string
>= 2 characters <= 255 characters
number
required
string
>= 8 characters <= 20 characters
email
string format: email
<= 255 characters
profilePicUrl
string
<= 2048 characters
isGroup
boolean
disableBot
boolean
active
boolean
default: true
channel
string
default: whatsapp
Allowed values: whatsapp telegram instagram facebook
remoteJid
string
lgpdAcceptedAt
string
urlPicture
string format: uri
pictureUpdated
boolean
companyId
number
extraInfo
Array<object>
object
id
number
name
required
string
>= 1 characters <= 255 characters
value
required
string
<= 1000 characters
contactId
number
tags
Array<number>
walletIds
Array<number>

Contacto creado correctamente

Datos de contacto inválidos o duplicados